CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

GLIBC libcso6

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   April 12, 2006, 09:46
Default Dear Users, I have installe
  #1
New Member
 
Frédéric
Join Date: Mar 2009
Posts: 18
Rep Power: 8
fred is on a distinguished road
Dear Users,

I have installed OpenFOAM 1.3 binaries, have sourced the cshrc file, and before I have installed gcc v4, in the linux directory ...
The env parameters seem to be ok, and the test is ok too.
Running the first test (blockMesh . cavity), I got the error message :

__________________________________________________
blockMesh: /lib/tls/libc.so.6: version `GLIBC_2.3.4' not found (required by blockMesh)
__________________________________________________

How to overcome on this message and to run and lear OpenFOAM ?

Best regards,

Frédéric
fred is offline   Reply With Quote

Old   April 12, 2006, 10:51
Default Recompile from source instead
  #2
liu
Senior Member
 
Xiaofeng Liu
Join Date: Mar 2009
Location: State College, PA, USA
Posts: 118
Rep Power: 8
liu is on a distinguished road
Recompile from source instead of using binary.
__________________
Xiaofeng Liu, Ph.D., P.E.,
Assistant Professor
Department of Civil and Environmental Engineering
Penn State University
223B Sackett Building
University Park, PA 16802


Web: http://water.engr.psu.edu/liu/
liu is offline   Reply With Quote

Old   April 12, 2006, 11:11
Default I have seen a similar error me
  #3
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
I have seen a similar error message when I tried to run the binary distribution on a Fedora Core 1 (you didn't say what distribution your machine was)

If you try recompiling it on a Fedora Machine you might run into the demangle.h problem described in the "SUSE 9.1 Porting"-thread.

What I did was: remove the executable-binaries (not the .o-s and not the .so-s) and perform a wmake in the applications directory. That should only relink the applications (and then everything should be fine)
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Error glibc detected munmap_chunk invalid pointer sega OpenFOAM Running, Solving & CFD 6 June 3, 2008 18:30
Application sample with glibc error matthias OpenFOAM Post-Processing 1 March 29, 2008 16:24
Libcso6 version %60GLIBC_234b johndeas OpenFOAM Bugs 9 January 24, 2008 15:13
glibc error Jaishree CD-adapco 0 September 14, 2007 21:23
FIDAP on glibc 2.1 Ingo Meisel FLUENT 2 February 1, 2002 06:15


All times are GMT -4. The time now is 11:07.